import { Component, OnChanges, OnInit,Input, SimpleChanges } from '@angular/core';

@Component({
  selector: 'app-simplechanges',
  standalone: true,
  imports: [],
  templateUrl: './simplechanges.component.html',
  styleUrl: './simplechanges.component.css'
})
export class SimplechangesComponent implements OnInit,OnChanges {


  @Input() simpleInput:string=" ";

  constructor(){
    console.log("Constructor is Invoked");
  }


  ngOnInit(): void {
    
  }

  //SimpleChanges Object constructed by Framework
  //We are writing the below code just to see the values inside simpelChanges

  ngOnChanges(changes: SimpleChanges): void {

    for(let propertyName in changes){

      let change=changes[propertyName];

      let currentValue=JSON.stringify(change.currentValue); //Current Value
      let previousValue=JSON.stringify(change.previousValue); //Previous Value


      console.log("Property Name ==> " , propertyName);
      console.log("Current Value ==> " + currentValue + " Previous Value ===> " + previousValue);

    }
    
  }

}
