import { Directive, ElementRef, HostListener, Renderer2 } from '@angular/core';

@Directive({
  selector: '[appListener]',
  standalone: true
})
export class ListenerDirective {

  constructor(private eleRef:ElementRef, private render:Renderer2) { }


  @HostListener('mouseenter') mouseover(eventData:Event){
    
    this.render.setStyle(this.eleRef.nativeElement,'background-color','cyan');
  }

  @HostListener('mouseleave') mouseleave(eventData:Event){
    this.render.setStyle(this.eleRef.nativeElement,'background-color','red');
  }



}
